Skip to main content
GET
Get sandbox metrics
Related guide: Inspect sandbox metrics.

Authorizations

Authorization
string
header
required

Send Authorization: Bearer <api_key>. The legacy Authorization: Api-Key <api_key> scheme is also accepted.

Headers

X-Team-Id
string

Optional team ID. Must match the team_id query parameter when both are supplied. If neither selector is supplied, defaults to the caller's only accessible team. Callers with multiple accessible teams must select a team. Requests without access to any team are forbidden.

Minimum string length: 1

Path Parameters

sandbox_name
string
required

Immutable sandbox name returned by creation.

Minimum string length: 1
Example:

"baseten-api-review-0916"

Query Parameters

team_id
string

Optional team ID. Must match X-Team-Id when both are supplied. If neither selector is supplied, defaults to the caller's only accessible team. Callers with multiple accessible teams must select a team. Requests without access to any team are forbidden.

Minimum string length: 1
start_time
string<date-time>
required
end_time
string<date-time>
required
interval_seconds
enum<integer>
required
Available options:
10,
30,
60,
300,
900,
3600

Response

Complete sandbox metrics time series.

sandbox_name
string
required
start_time
string<date-time>
required
end_time
string<date-time>
required
interval_seconds
integer
required
data
object[]
required
Maximum array length: 10000